@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');

/*----------------------- General stuff -----------------------*/
html, body {
    height: 100vh;
    margin: 0px;
}

body, pre {
    font-family: "Roboto", sans-serif;
    display: grid;
    font-weight: bolder;
    grid-template-rows: auto 1fr;
    overflow-y: scroll
}

h3 {
    margin: 0;
}

p, li, pre {
    font-weight: normal;
}

p, pre {
    font-size: large;
}

main {
    overflow: visible;
    height: 100vh;
}

/*----------------------- Header -----------------------*/

header {
    display: grid;
    background: linear-gradient(to bottom right,#5d926f,#12c489);
    height: fit-content;
    grid-template-columns: 2fr 1fr 1fr;
}

.header {
    left: 2em;
}




.resume, .resume iframe{
    height: 100%;
    width: 100%;
}




.return {
    display: flex;
    align-items: center;
    justify-content: center;
}
.return button {
    font-size: x-large;
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(20px);
    border: 3px rgba(255, 216, 90, 0.315) dotted;
    color: #aeff9a;
    width: 100%;
    height: 100%;
    border-radius: 50px;
    font-weight: bolder;
    text-shadow: 2px 2px 16px #507447;
}
.return button:hover {
    background-color: rgba(0, 0, 0, 0.2);
}

.return a {
    width: 80%;
    height: 80%;
}

.dock-toggle {
    position: fixed;
    top: 0;
    right: 10%;
    z-index: 110;
    cursor: pointer;
    background-color: rgba(44, 126, 202, 0.356);
    color: rgba(0, 0, 0, 0.685);
    border: none;
    border-radius: 0 0 10px 10px;
    width: 8%;
    font-size: 24px;
    transition: opacity 0.3s ease;
}

.dock {
    position: fixed;
    display: inline-flex;
    top: -200px;
    right: 14%;
    transform: translateX(50%);
    flex-direction: column;
    gap: 8px;
    transition: top 0.3s ease;
    z-index: 100;
}
.dock.active {
    top: 0;
}
.dock.active + .dock-toggle {
    opacity: 0;
    pointer-events: none;
}
.dock-bg {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.2);
    backdrop-filter: blur(20px);
    border-radius: 16px;
    border: 1px solid rgba(255,255,255,0.1);
    box-shadow: 0 25px 50px rgba(0,0,0,0.5);
}
.dock-row {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.dock-icon {
    padding: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    cursor: pointer;
}
.return_btn {
    font-size: large;
    padding: 8px 28px;
    background: rgba(0, 128, 128, 0.199);
}
